# Interface MapChangeEvent<K, V>

Raised when items are added or removed from an ObservableMap.

interface MapChangeEvent<K, V> {
added: [K, V][];
removed: [K, V][];
target: ObservableMap<K, V>;
}

#### Type Parameters

- K
- V

#####
Index

### Properties

added
removed
target

##
Properties

### added

added: [K, V][]

The items that were added.

### removed

removed: [K, V][]

The items that were removed.

### target

target: ObservableMap<K, V>

The ObservableMap that raised the event.